Package org.apache.sling.testing.clients.interceptors

# Class FormBasedAuthInterceptor

java.lang.Object
org.apache.sling.testing.clients.interceptors.FormBasedAuthInterceptor

All Implemented Interfaces:
  `org.apache.http.HttpRequestInterceptor`, `org.apache.http.HttpResponseInterceptor`, `HttpRequestResponseInterceptor`

public class FormBasedAuthInterceptor extends Object implements org.apache.http.HttpRequestInterceptor, HttpRequestResponseInterceptor

## Constructor Summary

Constructors
Constructor
Description
`FormBasedAuthInterceptor(String loginTokenName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)`
`void`
`process(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormBasedAuthInterceptor

public FormBasedAuthInterceptor(String loginTokenName)

## Method Details

### process

public void process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context) throws IOException

Specified by:
  `process` in interface `org.apache.http.HttpRequestInterceptor`
Throws:
  `IOException`

### process

public void process(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)

Specified by:
  `process` in interface `org.apache.http.HttpResponseInterceptor`